Index: trunk/packages/invirt-remote-host/debian/changelog
===================================================================
--- trunk/packages/invirt-remote-host/debian/changelog	(revision 1722)
+++ trunk/packages/invirt-remote-host/debian/changelog	(revision 1723)
@@ -1,2 +1,8 @@
+invirt-remote-host (0.0.9) unstable; urgency=low
+
+  * Use `xm reboot` for reboots instead of a destroy and create
+
+ -- Evan Broder <broder@mit.edu>  Thu, 20 Nov 2008 10:54:13 -0500
+
 invirt-remote-host (0.0.8) unstable; urgency=low
 
Index: trunk/packages/invirt-remote-host/files/usr/sbin/invirt-vmcontrol
===================================================================
--- trunk/packages/invirt-remote-host/files/usr/sbin/invirt-vmcontrol	(revision 1722)
+++ trunk/packages/invirt-remote-host/files/usr/sbin/invirt-vmcontrol	(revision 1723)
@@ -18,15 +18,11 @@
         xm "$ACTION" "$MACHINE"
 	;;
-    destroy|shutdown)
+    destroy|shutdown|reboot)
 	xm "$ACTION" "$MACHINE"
 	/usr/sbin/invirt-update-conserver </dev/null >/dev/null 2>&1 &
 	;;
-    install|create|reboot)
+    install|create)
 	shift; shift;
-	if [ "$ACTION" = "reboot" ]; then
-	    xm destroy "$MACHINE" 2>/dev/null
-	else
-	    xm list "$MACHINE" >/dev/null 2>/dev/null && echo "$MACHINE already exists" && exit 1
-	fi
+	xm list "$MACHINE" >/dev/null 2>/dev/null && echo "$MACHINE already exists" && exit 1
 	if [ "$ACTION" = "install" ]; then
 	    xm create invirt-database machine_name="$ORIGMACHINE" installer_options="$(printf '%q ' "$@")"
